
//  Constant error values / used by Head.h and resource.h

#ifndef _MV_ERR_HEADER_
#define _MV_ERR_HEADER_

#define MVERR_NOERROR				0L
#define MVERR_SUCCESS				MVERR_NOERROR
#define MVERR_RETURNOK				MVERR_NOERROR
#define MVERR_LACKMEMORY			10L
#define MVERR_SYSTEMERROR			11L
#define MVERR_INITIALIZE			12L
#define MVERR_RETURNCANCEL			13L
#define MVERR_LOAD_STRING			14L
#define MVERR_FAILED_SET_TIMER		19L
#define MVERR_FILE_OPEN				20L
#define MVERR_FILE_INVALID_FORMAT	21L
#define MVERR_FILE_NOT_PCM			22L
#define MVERR_UNSUPPORTED_FORMAT	29L
#define MVERR_DEVICE_OPENED			30L
#define MVERR_DEVICE_CLOSED			31L
#define MVERR_DEVICE_NO_ENTRY		32L
#define MVERR_DEVICE_INVALID_NUMBER	33L
#define MVERR_DEVICE_CANNOT_OPEN	34L
#define MVERR_WAVE_DEVICE_NO_ENTRY	35L
#define MVERR_NOW_PLAYING			40L
#define MVERR_NOT_PLAYING			41L
#define MVERR_TIMEOUT				42L
#define MVERR_INVALID_COMMAND		43L
#define MVERR_INVALID_STATE			44L
#define MVERR_INVALID_HANDLE		45L
#define MVERR_INVALID_PARAMETER		46L
#define MVERR_INVALID_CAPS			47L
#define MVERR_NOBUFFERONMEMORY		48L
#define MVERR_INVALID_CALL_INTERVAL	49L
#define MVERR_NOW_FADINGOUT			50L
#define MVERR_NOW_FADINGIN			51L
#define MVERR_FILE_TOO_LARGE		52L

#endif

