
#include "main.h"

HINSTANCE g_hInst;

BOOL PASCAL WinMain(HINSTANCE hInst,HINSTANCE hPrev,LPSTR lpCmdLine,INT nShow)
{
	MSG msg;
	WNDCLASSEX wc;
	HWND h;

	g_hInst = hInst;

	//  ႿƃEBhEႢ܂B
	ZeroMemory(&wc,sizeof(wc));
	wc.cbSize = sizeof(wc);
	wc.hbrBackground = (HBRUSH) COLOR_WINDOW;
	wc.hCursor = LoadCursor(NULL,IDC_ARROW);
	wc.hInstance = g_hInst;
	wc.lpfnWndProc = MainProc;
	wc.lpszClassName = CLASSNAME;
	if(!RegisterClassEx(&wc)) {
		//  si܂Ƃ͎v
		return FALSE;
	}

	if(!(h = CreateWindowEx(0,CLASSNAME,MAINTITLE,WS_OVERLAPPEDWINDOW,
			CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,
			NULL,NULL,g_hInst,NULL))) {
		//  si܂Ƃ͎v
		return FALSE;
	}
	ShowWindow(h,SW_SHOW);
	UpdateWindow(h);

	//  foCXI[v܂B
	if(!mvsampleOpenDevice()) {
		//  si͊Ƃ肦
		SendMessage(h,WM_CLOSE,0,0);
		return FALSE;
	}

	while(GetMessage(&msg,NULL,0,0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	//  IOɃfoCXЕtB
	mvsampleCloseDevice();

	return TRUE;
}

LRESULT CALLBACK MainProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM lParam)
{
	OPENFILENAME ofn;
	CHAR ss[MAX_PATH];

	switch(uMsg) {
	case WM_LBUTTONUP:
		//  EBhENbNɃnh܂B
		ZeroMemory(&ofn,sizeof(ofn));
		ZeroMemory(ss,sizeof(ss));
		ofn.lStructSize = sizeof(ofn);
		ofn.hwndOwner = hWnd;
		ofn.Flags = OFN_HIDEREADONLY;
		ofn.lpstrFilter = FILTER_MIDI;
		ofn.lpstrFile = ss;
		ofn.nMaxFile = sizeof(ss);
		if(!GetOpenFileName(&ofn)) {
			//  LZꂽ
			break;
		}
		mvsamplePlayMusic(ss);
		break;
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	default:
		return DefWindowProc(hWnd,uMsg,wParam,lParam);
	}
	return 0;
}

BOOL mvsampleOpenDevice()
{
	MVRESULT ret;

	ret = MVOpenDevice(MIDI_MAPPER,NULL);
	return TRUE;
}

BOOL mvsampleCloseDevice()
{
	MVRESULT ret;

	ret = MVCloseDevice();
	if(ret != MVERR_NOERROR) {
		//  An error occured
		return FALSE;
	}

	return TRUE;
}

BOOL mvsamplePlayMusic(LPSTR lpszFileName)
{
	MVRESULT ret;

	ret = MVStopMusic();

	ret = MVLoadMusic(lpszFileName);
	if(ret != MVERR_NOERROR) {
		//  Failed to load file.
		return FALSE;
	}

	ret = MVPlayMusic();
	if(ret != MVERR_NOERROR) {
		//  An error occured.
		return FALSE;
	}

	return TRUE;
}


